Bug 910532 (ksudoku)

Summary: Review Request: ksudoku - A logic-based symbol placement puzzle
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kevin, ltinkl, notting, package-review, tchollingsworth, than
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-18 08:53:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 14:20:51 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksudoku.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksudoku-4.10.0-1.fc18.src.rpm
Description:  A logic-based symbol placement puzzle
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-12 14:22:18 EST
be mindful this module already existed in the past, and was reviewed in bug #222670
Comment 2 Rex Dieter 2013-02-15 10:07:21 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksudoku.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksudoku-4.10.0-2.fc18.src.rpm
Description:
KSudoku is a logic-based symbol placement puzzle.  The player has to
fill a grid with symbols so that each column, row and block on the game
board contains only one instance of each symbol. In KSudoku the symbols
are usually the numbers 1 to 9, but may be the letters A to P or A to
Y in larger puzzles. Puzzles start with the board partially filled and
it is your job to fill in the rest.


%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description
Comment 3 T.C. Hollingsworth 2013-02-15 23:08:00 EST
(In reply to comment #1)
> be mindful this module already existed in the past, and was reviewed in bug
> #222670

I see you already dropped the Provides/Obsoletes in kdegames.  Don't forget to ask rel-eng to unblock it in koji if it was previously blocked.
Comment 4 T.C. Hollingsworth 2013-02-15 23:36:22 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/910532-ksudoku/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/ksudoku
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: ksudoku-4.10.0-2.fc19.x86_64.rpm
          ksudoku-debuginfo-4.10.0-2.fc19.x86_64.rpm
          ksudoku-4.10.0-2.fc19.src.rpm
ksudoku.x86_64: W: no-manual-page-for-binary ksudoku
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint ksudoku ksudoku-debuginfo
ksudoku.x86_64: W: no-manual-page-for-binary ksudoku
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
ksudoku-4.10.0-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libICE.so.6()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXau.so.6()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libXpm.so.4()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdegames(x86-64) >= 4.10.00
    libkdegames.so.6()(64bit)
    libkdegamesprivate.so.1()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

ksudoku-debuginfo-4.10.0-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

OK

Provides
--------
ksudoku-4.10.0-2.fc19.x86_64.rpm:
    
    ksudoku = 4.10.0-2.fc19
    ksudoku(x86-64) = 4.10.0-2.fc19

ksudoku-debuginfo-4.10.0-2.fc19.x86_64.rpm:
    
    ksudoku-debuginfo = 4.10.0-2.fc19
    ksudoku-debuginfo(x86-64) = 4.10.0-2.fc19

OK

MD5-sum check
-------------
http://download.kde.org/stable/4.10.0/src/ksudoku-4.10.0.tar.xz :
  CHECKSUM(SHA256) this package     : 4a847eeb0b4e167ce1dc90d79d1c5a2df2545327b64d17771a901ed49b8b14b2
  CHECKSUM(SHA256) upstream package : 4a847eeb0b4e167ce1dc90d79d1c5a2df2545327b64d17771a901ed49b8b14b2

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b910532
Comment 5 Rex Dieter 2013-02-16 12:55:43 EST
New Package SCM Request
=======================
Package Name: ksudoku
Short Description: A logic-based symbol placement puzzle
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Rex Dieter 2013-02-16 12:56:21 EST
wait.  heh, need change request and probably unretiring
Comment 7 Rex Dieter 2013-02-16 12:58:55 EST
Package Change Request
======================
Package Name: ksudoku
New Branches: f17 f18
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Comment 8 Gwyn Ciesla 2013-02-16 14:02:50 EST
Unretired.
Comment 9 Gwyn Ciesla 2013-02-16 14:06:51 EST
Git done (by process-git-requests).
Comment 10 Rex Dieter 2013-02-16 14:19:02 EST
hrm, seems I need devel branch too:

Package Change Request
======================
Package Name: ksudoku
New Branches: devel
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Comment 11 Gwyn Ciesla 2013-02-16 14:40:33 EST
No, that's what I unretired, take ownership in pkgdb.
Comment 12 Rex Dieter 2013-02-16 14:43:07 EST
oh, silly me, I wasn't logged in when I checked pkgdb.  sorry.
Comment 13 Rex Dieter 2013-02-18 08:53:12 EST
imported